RHEL 8:Red Hat Virtualization Host 安全性更新和錯誤修正更新 [ovirt-4.4.10] Async #1 (重要) (RHSA-2022: 0841)

high Nessus Plugin ID 158924

概要

遠端 Red Hat 主機缺少一個或多個安全性更新。

說明

遠端 Redhat Enterprise Linux 8 主機上安裝的一個套件受到 RHSA-2022: 0841 公告中提及的多個弱點影響。

- 核心:unix_gc() 中的釋放後使用弱點,可導致本機權限提升 (CVE-2021-0920)

- 核心:透過惡意利用 fsconfig syscall 參數提升本機權限,從而導致容器逃逸 (CVE-2021-4154)

- 核心:由於缺少 TLB 排清而可能導致權限提升 (CVE-2022-0330)

- 核心:在使用 TIPC 的系統上,因發生核心錯誤造成的遠端堆疊溢位可能導致 DoS (CVE-2022-0435)

- 核心:不當初始化新 pipe_buffer 的旗標成員 (CVE-2022-0847)

- 核心:失敗的 usercopy 可造成釋放後使用 (CVE-2022-22942)

- cyrus-sasl:無法正確逸出 SQL 輸入可讓攻擊者執行任意 SQL 命令 (CVE-2022-24407)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的 redhat-virtualization-host-image-update 套件。

另請參閱

https://access.redhat.com/security/cve/CVE-2022-0435

https://access.redhat.com/security/cve/CVE-2022-0847

https://access.redhat.com/security/cve/CVE-2022-22942

https://access.redhat.com/security/cve/CVE-2022-24407

https://access.redhat.com/errata/RHSA-2022:0841

https://bugzilla.redhat.com/2031930

https://bugzilla.redhat.com/2034514

https://bugzilla.redhat.com/2042404

https://access.redhat.com/security/cve/CVE-2021-0920

https://access.redhat.com/security/cve/CVE-2021-4154

https://access.redhat.com/security/cve/CVE-2022-0330

https://bugzilla.redhat.com/2044809

https://bugzilla.redhat.com/2048738

https://bugzilla.redhat.com/2055326

https://bugzilla.redhat.com/2060795

Plugin 詳細資訊

嚴重性: High

ID: 158924

檔案名稱: redhat-RHSA-2022-0841.nasl

版本: 1.13

類型: local

代理程式: unix

已發布: 2022/3/15

已更新: 2023/2/2

支援的感應器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

風險資訊

VPR

風險因素: Critical

分數: 9.8

CVSS v2

風險因素: High

基本分數: 9

時間分數: 7.8

媒介: CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C

CVSS 評分資料來源: CVE-2022-0435

CVSS v3

風險因素: High

基本分數: 8.8

時間分數: 8.4

媒介: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

時間媒介: CVSS:3.0/E:H/RL:O/RC:C

CVSS 評分資料來源: CVE-2022-24407

弱點資訊

CPE: p-cpe:/a:redhat:enterprise_linux:redhat-virtualization-host-image-update, cpe:/o:redhat:enterprise_linux:8

必要的 KB 項目: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2022/3/14

弱點發布日期: 2021/12/15

CISA 已知遭惡意利用弱點到期日: 2022/5/16, 2022/6/13

可惡意利用

CANVAS (CANVAS)

Core Impact

Metasploit (Dirty Pipe Local Privilege Escalation via CVE-2022-0847)

參考資訊

CVE: CVE-2021-0920, CVE-2021-4154, CVE-2022-0330, CVE-2022-0435, CVE-2022-0847, CVE-2022-22942, CVE-2022-24407

CWE: 120, 20, 281, 416, 665, 787, 89

RHSA: 2022:0841